Index: bsps/shared/start/setvec.c
===================================================================
--- bsps/shared/start/setvec.c	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
+++ bsps/shared/start/setvec.c	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -0,0 +1,43 @@
+/*
+ *  This routine installs an interrupt vector on CPU architectures
+ *  using the Simple Vectored Interrupt Model.  This is the shared
+ *  version which does nothing BSP specific.  A BSP specific version
+ *  will be needed if you need to enable an interrupt source via
+ *  some register.
+ *
+ *  INPUT PARAMETERS:
+ *    handler - interrupt handler entry point
+ *    vector  - vector number
+ *    type    - 0 indicates raw hardware connect
+ *              1 indicates RTEMS interrupt connect
+ *
+ *  OUTPUT PARAMETERS:  NONE
+ *
+ *  RETURNS:
+ *    address of previous interrupt handler
+ *
+ *  COPYRIGHT (c) 1989-2009.
+ *  On-Line Applications Research Corporation (OAR).
+ *
+ *  The license and distribution terms for this file may be
+ *  found in the file LICENSE in this distribution or at
+ *  http://www.rtems.org/license/LICENSE.
+ */
+
+#include <bsp.h>
+
+rtems_isr_entry set_vector(                   /* returns old vector */
+  rtems_isr_entry     handler,                /* isr routine        */
+  rtems_vector_number vector,                 /* vector number      */
+  int                 type                    /* RTEMS or RAW intr  */
+)
+{
+  rtems_isr_entry previous_isr;
+
+  if ( type )
+    rtems_interrupt_catch( handler, vector, &previous_isr );
+  else
+    _CPU_ISR_install_raw_handler( vector, handler, (void *)&previous_isr );
+
+  return previous_isr;
+}
Index: c/src/lib/libbsp/bfin/TLL6527M/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/TLL6527M/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/bfin/TLL6527M/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -21,5 +21,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/bfin/bf537Stamp/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -22,5 +22,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/bfin/eZKit533/Makefile.am
===================================================================
--- c/src/lib/libbsp/bfin/eZKit533/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/bfin/eZKit533/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -22,5 +22,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
Index: c/src/lib/libbsp/lm32/lm32_evr/Makefile.am
===================================================================
--- c/src/lib/libbsp/lm32/lm32_evr/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/lm32/lm32_evr/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -26,5 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../shared/startup/bspreset.c
 # clock
Index: c/src/lib/libbsp/m68k/av5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/av5282/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/av5282/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -26,5 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 # clock
 librtemsbsp_a_SOURCES += clock/clock.c
Index: c/src/lib/libbsp/m68k/csb360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/csb360/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/csb360/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -25,5 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # console
Index: c/src/lib/libbsp/m68k/gen68340/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/gen68340/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -25,5 +25,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += startup/dumpanic.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/m68k/gen68360/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/gen68360/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -28,5 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # clock
Index: c/src/lib/libbsp/m68k/genmcf548x/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/genmcf548x/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/genmcf548x/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -29,5 +29,5 @@
 librtemsbsp_a_SOURCES += startup/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 # clock
Index: c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mcf5206elite/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -30,5 +30,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # console
Index: c/src/lib/libbsp/m68k/mcf52235/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf52235/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mcf52235/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -28,5 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 # clock
 librtemsbsp_a_SOURCES += clock/clock.c
Index: c/src/lib/libbsp/m68k/mcf5225x/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5225x/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mcf5225x/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -23,5 +23,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += clock/clock.c
 librtemsbsp_a_SOURCES += console/console.c
Index: c/src/lib/libbsp/m68k/mcf5235/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5235/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mcf5235/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -28,5 +28,5 @@
 librtemsbsp_a_SOURCES += startup/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += startup/copyvectors.c
Index: c/src/lib/libbsp/m68k/mcf5329/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mcf5329/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mcf5329/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -28,5 +28,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 # clock
 librtemsbsp_a_SOURCES += clock/clock.c
Index: c/src/lib/libbsp/m68k/mrm332/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mrm332/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mrm332/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -24,5 +24,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspfatal-default.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/m68k/mvme147/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mvme147/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -26,5 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # clock
Index: c/src/lib/libbsp/m68k/mvme147s/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mvme147s/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -24,7 +24,7 @@
 librtemsbsp_a_SOURCES += startup/bspstart.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspgetworkarea-default.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
Index: c/src/lib/libbsp/m68k/mvme162/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mvme162/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -27,5 +27,5 @@
 librtemsbsp_a_SOURCES += startup/page_table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # clock
Index: c/src/lib/libbsp/m68k/mvme167/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/mvme167/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -25,5 +25,5 @@
 librtemsbsp_a_SOURCES += startup/page_table.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/bspreset-empty.c
 # clock
Index: c/src/lib/libbsp/m68k/uC5282/Makefile.am
===================================================================
--- c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ c/src/lib/libbsp/m68k/uC5282/Makefile.am	(revision bc010a8d48b85e3f408f0a136462b3783cf121a0)
@@ -26,5 +26,5 @@
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/dev/getentropy/getentropy-cpucounter.c
 librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/sbrk.c
-librtemsbsp_a_SOURCES += ../../shared/setvec.c
+librtemsbsp_a_SOURCES += ../../../../../../bsps/shared/start/setvec.c
 # clock
 librtemsbsp_a_SOURCES += clock/clock.c
Index: src/lib/libbsp/shared/setvec.c
===================================================================
--- c/src/lib/libbsp/shared/setvec.c	(revision a4429391b6bb9673cace35bb69edf35951fc6742)
+++ 	(revision )
@@ -1,43 +1,0 @@
-/*
- *  This routine installs an interrupt vector on CPU architectures
- *  using the Simple Vectored Interrupt Model.  This is the shared
- *  version which does nothing BSP specific.  A BSP specific version
- *  will be needed if you need to enable an interrupt source via
- *  some register.
- *
- *  INPUT PARAMETERS:
- *    handler - interrupt handler entry point
- *    vector  - vector number
- *    type    - 0 indicates raw hardware connect
- *              1 indicates RTEMS interrupt connect
- *
- *  OUTPUT PARAMETERS:  NONE
- *
- *  RETURNS:
- *    address of previous interrupt handler
- *
- *  COPYRIGHT (c) 1989-2009.
- *  On-Line Applications Research Corporation (OAR).
- *
- *  The license and distribution terms for this file may be
- *  found in the file LICENSE in this distribution or at
- *  http://www.rtems.org/license/LICENSE.
- */
-
-#include <bsp.h>
-
-rtems_isr_entry set_vector(                   /* returns old vector */
-  rtems_isr_entry     handler,                /* isr routine        */
-  rtems_vector_number vector,                 /* vector number      */
-  int                 type                    /* RTEMS or RAW intr  */
-)
-{
-  rtems_isr_entry previous_isr;
-
-  if ( type )
-    rtems_interrupt_catch( handler, vector, &previous_isr );
-  else
-    _CPU_ISR_install_raw_handler( vector, handler, (void *)&previous_isr );
-
-  return previous_isr;
-}
